<?php

  require_once('config.php');

  function ajustargenerator ($tabela) {
    if (strtoupper($tabela) == 'DESPESAS_VEND')
      maxgenerator('GEN_DESPESAS_VEND', 'DESPESAS_VEND', 'NRODESPESA');
    else if (strtoupper($tabela) == 'PESQUISAS_MERCHAN')
      maxgenerator('GEN_PESQUISAS_MERCHAN', 'PESQUISAS_MERCHAN', 'NROPESQUISA');
    else if (strtoupper($tabela) == 'DISTRIBUICAO')
      maxgenerator('GEN_DISTRIBUICAO', 'DISTRIBUICAO', 'NRODISTR');
    else if (strtoupper($tabela) == 'MIX_OBRIGATORIO')
      maxgenerator('GEN_MIX_OBRIGATORIO', 'MIX_OBRIGATORIO', 'NROMIX');
    else if (strtoupper($tabela) == 'PESQUISAS_PRECO_ANDROID')
      maxgenerator('GEN_PESQUISAS_PRECO_ANDROID', 'PESQUISAS_PRECO_ANDROID', 'NROPESQUISA');
    else if (strtoupper($tabela) == 'PESQUISAS_SUPERVISOR')
      maxgenerator('GEN_PESQUISAS_SUPERVISOR', 'PESQUISAS_SUPERVISOR', 'NROPESQUISA');
    else if (strtoupper($tabela) == 'PLANO_ACAO')
      maxgenerator('GEN_PLANO_ACAO', 'PLANO_ACAO', 'NROPLANO');
    else if (strtoupper($tabela) == 'MENSAGENS')
      maxgenerator('GEN_MENSAGENS', 'MENSAGENS', 'NROMENSAGEM');
    else if (strtoupper($tabela) == 'VISITAS_ANDROID')
      maxgenerator('GEN_VISITAS_ANDROID', 'VISITAS_ANDROID', 'NROVISITA');
    else if (strtoupper($tabela) == 'RESUMO_CHECAGENS')
      maxgenerator('GEN_RESUMO_CHECAGENS', 'RESUMO_CHECAGENS', 'NROCHECAGEM');
    else if (strtoupper($tabela) == 'FECHAMENTO_MANIFESTO')
      maxgenerator('GEN_FECHAMENTO_MANIFESTO', 'FECHAMENTO_MANIFESTO', 'NROFECHAMENTO');
    else if (strtoupper($tabela) == 'TF02_DST')
      maxgenerator('GEN_TF02_DST_ID', 'TF02_DST', 'ID');
  }


  function maxgenerator ($generator, $tabela, $campo) {
    $sql = 'select max('.$campo.') MAXI from '.$tabela;
    $query = ibase_query($sql) or die(ibase_errmsg().'\n\n\n'.$sql);
    $row = ibase_fetch_object($query);
    $sql = 'set generator '.$generator.' to '.$row->MAXI;
    ibase_query($sql) or die(ibase_errmsg().'\n\n\n'.$sql);
  }

?>